Ir al contenido principal

Este explorador ya no se admite.

Actualice a Microsoft Edge para aprovechar las características y actualizaciones de seguridad más recientes, y disponer de soporte técnico.

Descargar Microsoft Edge Más información sobre Internet Explorer y Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Insights

Generate insights

POST /insights

Generates an insights report from the provided evaluation configuration.

Parámetros de encabezado

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Insights=V1Preview
Repeatability-Request-ID string

Unique, client-generated identifier for ensuring request idempotency. Use the same ID for retries to prevent duplicate evaluations.

Repeatability-First-Sent string

Timestamp indicating when this request was first initiated. Used in conjunction with repeatability-request-id for idempotency control.

Parámetros de consulta

api-version string requerido

The API version to use for this operation.

Cuerpo de la solicitud

Complete evaluation configuration including data source, evaluators, and result settings

Content-Type: application/json
id string requerido

The unique identifier for the insights report.

metadata InsightsMetadata requerido

Metadata about the insights.

createdAt string requerido

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string requerido

Enum describing allowed operation states.

Cualquiera de las siguientes:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string requerido

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison requerido

The request of the insights report.

Uno de los siguientes:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum requerido

The type of insights request.

EvaluationRunClusterInsight
evalId string requerido

Evaluation Id for the insights.

runIds string[] requerido

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string requerido

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum requerido

The type of request.

AgentClusterInsight
agentName string requerido

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string requerido

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum requerido

The type of request.

EvaluationComparison
evalId string requerido

Identifier for the evaluation.

baselineRunId string requerido

The baseline run ID for comparison.

treatmentRunIds string[] requerido

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Uno de los siguientes:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum requerido

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] requerido

Comparison results for each treatment run against the baseline.

method string requerido

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum requerido

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult requerido

Insights from the cluster analysis.

summary InsightSummary requerido

Summary of the error cluster analysis.

sampleCount integer requerido

Total number of samples analyzed.

uniqueSubclusterCount integer requerido

Total number of unique subcluster labels.

uniqueClusterCount integer requerido

Total number of unique clusters.

method string requerido

Method used for clustering.

usage ClusterTokenUsage requerido

Token usage for cluster analysis

inputTokenUsage integer requerido

input token usage

outputTokenUsage integer requerido

output token usage

totalTokenUsage integer requerido

total token usage

clusters InsightCluster[] requerido

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer requerido

X-axis coordinate.

y integer requerido

Y-axis coordinate.

size integer requerido

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum requerido

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult requerido

Insights from the cluster analysis.

summary InsightSummary requerido

Summary of the error cluster analysis.

sampleCount integer requerido

Total number of samples analyzed.

uniqueSubclusterCount integer requerido

Total number of unique subcluster labels.

uniqueClusterCount integer requerido

Total number of unique clusters.

method string requerido

Method used for clustering.

usage ClusterTokenUsage requerido

Token usage for cluster analysis

inputTokenUsage integer requerido

input token usage

outputTokenUsage integer requerido

output token usage

totalTokenUsage integer requerido

total token usage

clusters InsightCluster[] requerido

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer requerido

X-axis coordinate.

y integer requerido

Y-axis coordinate.

size integer requerido

Size of the chart element.

Respuestas

The request has succeeded and a new resource has been created as a result.

Cuerpo

Content-Type: application/json
id string requerido

The unique identifier for the insights report.

metadata InsightsMetadata requerido

Metadata about the insights.

createdAt string requerido

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string requerido

Enum describing allowed operation states.

Cualquiera de las siguientes:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string requerido

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison requerido

The request of the insights report.

Uno de los siguientes:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum requerido

The type of insights request.

EvaluationRunClusterInsight
evalId string requerido

Evaluation Id for the insights.

runIds string[] requerido

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string requerido

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum requerido

The type of request.

AgentClusterInsight
agentName string requerido

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string requerido

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum requerido

The type of request.

EvaluationComparison
evalId string requerido

Identifier for the evaluation.

baselineRunId string requerido

The baseline run ID for comparison.

treatmentRunIds string[] requerido

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Uno de los siguientes:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum requerido

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] requerido

Comparison results for each treatment run against the baseline.

method string requerido

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum requerido

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult requerido

Insights from the cluster analysis.

summary InsightSummary requerido

Summary of the error cluster analysis.

sampleCount integer requerido

Total number of samples analyzed.

uniqueSubclusterCount integer requerido

Total number of unique subcluster labels.

uniqueClusterCount integer requerido

Total number of unique clusters.

method string requerido

Method used for clustering.

usage ClusterTokenUsage requerido

Token usage for cluster analysis

inputTokenUsage integer requerido

input token usage

outputTokenUsage integer requerido

output token usage

totalTokenUsage integer requerido

total token usage

clusters InsightCluster[] requerido

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer requerido

X-axis coordinate.

y integer requerido

Y-axis coordinate.

size integer requerido

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum requerido

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult requerido

Insights from the cluster analysis.

summary InsightSummary requerido

Summary of the error cluster analysis.

sampleCount integer requerido

Total number of samples analyzed.

uniqueSubclusterCount integer requerido

Total number of unique subcluster labels.

uniqueClusterCount integer requerido

Total number of unique clusters.

method string requerido

Method used for clustering.

usage ClusterTokenUsage requerido

Token usage for cluster analysis

inputTokenUsage integer requerido

input token usage

outputTokenUsage integer requerido

output token usage

totalTokenUsage integer requerido

total token usage

clusters InsightCluster[] requerido

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer requerido

X-axis coordinate.

y integer requerido

Y-axis coordinate.

size integer requerido

Size of the chart element.

Client error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido
code string | null requerido
message string requerido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Cualquiera de las siguientes:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string requerido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido
code string | null requerido
message string requerido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Cualquiera de las siguientes:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string requerido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Solicitar

POST /insights HTTP/1.1

Respuesta

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
es-es
Sus opciones de privacidad
  • Declinación de responsabilidades de IA
  • Versiones anteriores
  • Blog
  • Contribuir
  • Privacidad
  • Privacidad de estado del consumidor
  • Términos de uso
  • Marcas comerciales
  • © Microsoft 2026